Subject: RE: [Mip6] Overall LC comment on draft-ietf-mip6-bootstrap-ps-01.txt

From: [email-masked]
Date: Sat, 19 Feb 2005 07:55:40 +0200

Hi James,

> As John Loughney brought up, the draft is a bit long for a problem
> statement. Actually, I think the draft is more a mix of problem statement,
> functional architecture, and requirements. It might be worthwhile to at
> least separate out the draft into these three parts, to simplify and
> condense the problem statement and group the other parts more coherently
> together. draft-giaretta-mip6-aaa-ha-goals, which, despite its title, deals
> with similar issues on the back end, actually does a pretty good job of
> separating out these three parts stylistically, though of course the content
> is different.
> 
> The other possibility would be to separate the draft into  two, one for the
> problem statement and one for the requirements and functional architecture.
> If that is done, I think it is very important that all the content in the
> current functional architecture and requirements parts of the draft not get
> lost (in the past, I've seem parts of drafts get lost when they are so
> separated).

I'm comfortable with either solutions, I do think that the document has a lot
of useful information that shouldn't get lost.  I think if we took your
later suggest, we could probably progress it rather quickly, I don't think
we need additional information.

John

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Alpesh" <[email-masked]>
Date: Sat, 19 Feb 2005 06:51:02 -0800

James:

I tend to agree, but let me recall - wasn't the goal of the design team to
develop a problem statement - state what is the goal of bootstrap, what are
the operating parameters and what should be the constraints?

I am definitely open to reorganize the document as John originally
suggested. I don't oppose to break up the document either - my concern is
losing information/context in moving from one to many. Problem statements
dispersed over multiple docs are typically hard to capture, IMHO.  

Still open to suggestions.

-a

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Friday, February 18, 2005 9:56 PM
> To: [email-masked]; [email-masked]
> Subject: RE: [Mip6] Overall LC comment on 
> draft-ietf-mip6-bootstrap-ps-01.txt
> 
> Hi James,
> 
> > statement. Actually, I think the draft is more a mix of problem 
> > statement, functional architecture, and requirements. It might be 
> > worthwhile to at least separate out the draft into these 
> three parts, 
> > to simplify and condense the problem statement and group the other 
> > parts more coherently together. draft-giaretta-mip6-aaa-ha-goals, 
> > which, despite its title, deals with similar issues on the 
> back end, 
> > actually does a pretty good job of separating out these three parts 
> > stylistically, though of course the content is different.
> > 
> > The other possibility would be to separate the draft into  two, one 
> > for the problem statement and one for the requirements and 
> functional architecture.
> > If that is done, I think it is very important that all the 
> content in 
> > the current functional architecture and requirements parts of the 
> > draft not get lost (in the past, I've seem parts of drafts get lost 
> > when they are so separated).
> 
> I'm comfortable with either solutions, I do think that the 
> document has a lot of useful information that shouldn't get 
> lost.  I think if we took your later suggest, we could 
> probably progress it rather quickly, I don't think we need 
> additional information.
> 
> John
>

---

From: "James Kempf" <[email-masked]>
Date: Tue, 22 Feb 2005 09:02:52 -0800

Alpesh,

I'm comfortable keeping the document in one piece, as long as the problem
statement, architecture, and requirements themes are clearly separated. I
think the problem statement itself could probably be done in one section.
Actually, the archtecture and requirements parts are in some sense more
interesting than the problem statement, since they're defining a model for
Mobile IP roaming that I believe will be quite valuable to wireless service
providers.

            jak

---

From: "Alpesh" <[email-masked]>
Date: Tue, 22 Feb 2005 09:09:49 -0800

James:

Agree. Do you think we should have a conference call before IETF or just
wait to meet 
in person to close all issues? Either case, I would like to meet in person
with concerned parties to reach a consensus sooner.

-a 

> From: James Kempf [mailto:[email-masked]] 
> Sent: Tuesday, February 22, 2005 9:03 AM
> To: Alpesh; [email-masked]; [email-masked]
> Subject: Re: [Mip6] Overall LC comment on 
> I'm comfortable keeping the document in one piece, as long as 
> the problem statement, architecture, and requirements themes 
> are clearly separated. I think the problem statement itself 
> could probably be done in one section.
> Actually, the archtecture and requirements parts are in some 
> sense more interesting than the problem statement, since 
> they're defining a model for Mobile IP roaming that I believe 
> will be quite valuable to wireless service providers.
> 
>             jak
> 
> 
> > develop a problem statement - state what is the goal of 
> bootstrap, what
> are

---

From: "James Kempf" <[email-masked]>
Date: Wed, 23 Feb 2005 08:48:57 -0800

Alpesh,

Let's arrange a meeting prior to the MIP6 meeting at IETF. F2F is higher
bandwidth.

            jak

----- Original Message ----- 
From: "Alpesh" <[email-masked]>
To: "'James Kempf'" <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Tuesday, February 22, 2005 9:09 AM
Subject: RE: [Mip6] Overall LC comment on
draft-ietf-mip6-bootstrap-ps-01.txt